## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-02-26
version: "2"

services:
  huginn:
    image: huginn/huginn
    container_name: huginn
    networks:
     - huginn_network
    ports:
      - 3000:3000
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    environment:
      - DATABASE_NAME=huginn
      - DATABASE_USERNAME=huginn
      - DATABASE_PASSWORD=1234 #Correspond au MYSQL_PASSWORD defini dans le conteneur mariadb
      - DATABASE_PORT=3306
      - DATABASE_HOST=huginn_mariadb
      - DATABASE_ADAPTER=mysql2
      - DO_NOT_CREATE_DATABASE=true
    depends_on:
      - huginn_mariadb
    restart: unless-stopped
  huginn_mariadb:
    image: ghcr.io/linuxserver/mariadb
    container_name: huginn_mariadb
    hostname: huginn_mariadb
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    networks:
     - huginn_network
    environment:
      - PUID=1000 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - PGID=100 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - MYSQL_ROOT_PASSWORD=123456
      - TZ=Europe/Paris
      - MYSQL_DATABASE=huginn
      - MYSQL_USER=huginn
      - MYSQL_PASSWORD=1234
    ports:
      - 3306:3306 # Utiliser un autre port si le port par defaut est deja pris sur votre hote
    volumes:
      - /volume1/docker/huginn/mariadb:/config
    restart: unless-stopped

networks:
  huginn_network:
    external:
      name: huginn_network